package cn.iocoder.yudao.module.system.enums.robot.task;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * RobotAcceptTaskDTO的order_type
 */
@Getter
@AllArgsConstructor
public enum RobotTaksOrderTypeEnum {

    AUTO_MOVE("AUTO_MOVE"), //自动移库任务
    TASK("TASK"), //客户下发的任务
    AUTO_CHARGE("AUTO_CHARGE"); //自动充电任务
    /**
     * 类型
     */
    private final String type;
}
